Bug 155509 - Update port: net/xrdp update to current cvs version and JP106 keyboard support improvement
Summary: Update port: net/xrdp update to current cvs version and JP106 keyboard suppor...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-13 04:10 UTC by Iwao Koichiro
Modified: 2011-04-27 10:30 UTC (History)
0 users

See Also:


Attachments
xrdp-0.6.0.20110117cvs.patch (5.73 KB, patch)
2011-03-13 04:10 UTC, Iwao Koichiro
no flags Details | Diff
xrdp-0.6.0.20110117cvs_1.patch (5.78 KB, patch)
2011-04-24 23:36 UTC, Iwao Koichiro
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Iwao Koichiro 2011-03-13 04:10:12 UTC
Update to current cvs version of xrdp.  This update includes patches of
ports/154174 and ports/155347, and I improved it for Japanese JP106
keyboard users.  It works fine on my environment but needs some testers
especially Japanese.

Of cource English or other language testers are needed, thanks in advance.

How-To-Repeat: Input with JP106 keyboards, everything we type is ignored.
Comment 1 Iwao Koichiro 2011-04-04 21:49:28 UTC
Tested enough for Japanese specific features.

-- 
$B4dCK(B $Bb+0lO/(B <meta@club.kyutech.ac.jp>
Comment 2 Iwao Koichiro 2011-04-15 20:09:20 UTC
Can I take maintainership for this port? If nobody wants to take it.

-- 
kiwao <meta@club.kyutech.ac.jp>
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2011-04-17 02:06:24 UTC
Class Changed
From-To: update->maintainer-update

submitter has agreed to become new maintainer, so change class.
Comment 4 dfilter service freebsd_committer 2011-04-17 02:11:24 UTC
linimon     2011-04-17 01:11:15 UTC

  FreeBSD ports repository

  Modified files:
    net/xrdp             Makefile 
  Log:
  Over to submitter of most recent PR.
  
  PR:             ports/155509
  
  Revision  Changes    Path
  1.12      +1 -1      ports/net/xrdp/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Mark Linimon 2011-04-17 02:11:37 UTC
On Sat, Apr 16, 2011 at 04:09:20AM +0900, Iwao, Koichiro wrote:
> Can I take maintainership for this port? If nobody wants to take it.

I have assigned maintainership to you.  Thank you for volunteering.

mcl
Comment 6 Iwao Koichiro 2011-04-24 23:36:44 UTC
making a binary package with JP106 option didn't work.
Fixed the Makefile to behave more properly.

-- 
kiwao <meta@club.kyutech.ac.jp>
Comment 7 Baptiste Daroussin freebsd_committer 2011-04-27 10:05:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

I'll take it.
Comment 8 dfilter service freebsd_committer 2011-04-27 10:29:11 UTC
bapt        2011-04-27 09:29:03 UTC

  FreeBSD ports repository

  Modified files:
    net/xrdp             Makefile distinfo pkg-plist 
    net/xrdp/files       patch-common__os_calls.c pkg-message.in 
  Removed files:
    net/xrdp/files       patch-common__trans.c 
  Log:
  - update to 0.6.0.20110117 cvs snapshot
  - support for for Japanese JP106 keyboard
  - add license
  - Add runtime dependency on Xvnc
  
  PR:             ports/155509
  Submitted by:   "Iwao, Koichiro" <meta _at_ club.kyutech.ac.jp> (maintainer)
  
  Revision  Changes    Path
  1.13      +31 -7     ports/net/xrdp/Makefile
  1.6       +12 -2     ports/net/xrdp/distinfo
  1.2       +3 -3      ports/net/xrdp/files/patch-common__os_calls.c
  1.2       +0 -34     ports/net/xrdp/files/patch-common__trans.c (dead)
  1.5       +1 -1      ports/net/xrdp/files/pkg-message.in
  1.5       +5 -5      ports/net/xrdp/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Baptiste Daroussin freebsd_committer 2011-04-27 10:29:17 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!